Edited at

OpenShift Origin All-In-Oneを試す(v1.4編)

More than 1 year has passed since last update.

前回の続きで、OpenShift Origin All-In-Oneのv1.4環境をVagrantで構築します。

下記を使用します。

https://github.com/openshift-evangelists/vagrant-origin


今回使用した環境

MacOS: 10.10.5

vagrant: 1.8.4

VirtualBox:5.0.28

vagrantの最新版1.8.7だと、vagrant up時にエラーになったので、1.8.4を使いました。


手順

$ git clone https://github.com/openshift-evangelists/vagrant-origin.git

$ cd vagrant-origin
$ vagrant up
Bringing machine 'default' up with 'virtualbox' provider...
==> default: Box 'centos/7' could not be found. Attempting to find and install...
default: Box Provider: virtualbox
default: Box Version: >= 0
==> default: Loading metadata for box 'centos/7'
default: URL: https://atlas.hashicorp.com/centos/7
==> default: Adding box 'centos/7' (v1610.01) for provider: virtualbox
default: Downloading: https://atlas.hashicorp.com/centos/boxes/7/versions/1610.01/providers/virtualbox.box
==> default: Successfully added box 'centos/7' (v1610.01) for 'virtualbox'!
==> default: Importing base box 'centos/7'...
==> default: Matching MAC address for NAT networking...
==> default: Setting the name of the VM: origin
==> default: Clearing any previously set network interfaces...
==> default: Preparing network interfaces based on configuration...
default: Adapter 1: nat
default: Adapter 2: hostonly
==> default: Forwarding ports...
default: 22 (guest) => 2222 (host) (adapter 1)
==> default: Running 'pre-boot' VM customizations...
==> default: Booting VM...
==> default: Waiting for machine to boot. This may take a few minutes...
default: SSH address: 127.0.0.1:2222
default: SSH username: vagrant
default: SSH auth method: private key
default: Warning: Remote connection disconnect. Retrying...
default: Warning: Remote connection disconnect. Retrying...
default: Warning: Remote connection disconnect. Retrying...
default:
default: Vagrant insecure key detected. Vagrant will automatically replace
default: this with a newly generated keypair for better security.
default:
default: Inserting generated public key within guest...
default: Removing insecure key from the guest if it's present...
default: Key inserted! Disconnecting and reconnecting using new SSH key...
==> default: Machine booted and ready!
==> default: Checking for guest additions in VM...
default: No guest additions were detected on the base box for this VM! Guest
default: additions are required for forwarded ports, shared folders, host only
default: networking, and more. If SSH fails on this machine, please install
default: the guest additions and repackage the box to continue.
default:
default: This is not an error message; everything may continue to work properly,
default: in which case you may ignore this message.
==> default: Configuring and enabling network interfaces...
==> default: Rsyncing folder: /Users/a43220800/Documents/OpenShift/vagrant-origin/config/ => /config
==> default: Rsyncing folder: /Users/a43220800/Documents/OpenShift/vagrant-origin/scripts/ => /scripts
==> default: Rsyncing folder: /Users/a43220800/Documents/OpenShift/vagrant-origin/utils/ => /utils
==> default: Running provisioner: shell...
default: Running: inline script
==> default: Running provisioner: shell...
default: Running: inline script
==> default: Running provisioner: shell...
default: Running: /var/folders/pg/mt5cg6qj6md_wkkw1y_459_80000gn/T/vagrant-shell20161119-51618-1qqs3ff.sh
==> default: [INFO] Script succesfully configured
==> default: [INFO] Configuration properly exported
==> default: __OS_ORIGIN_BRANCH=master
==> default: __OS_PV_COUNT=10
==> default: __OS_PV_NFS_OPTIONS=rw,root_squash
==> default: __OS_ORIGIN_REPO=openshift
==> default: __OS_XPAAS_TAG=ose-v1.3.2
==> default: __OS_FORCE=false
==> default: __OS_IMAGES_VERSION=latest
==> default: __OS_PUBLIC_IP=10.2.2.2
==> default: __OS_DOCKER_VERSION=
==> default: __OS_ACTION=none
==> default: __OS_PV_SIZE=10
==> default: __OS_ONLY_BUILD_PLATFORMS=linux/amd64
==> default: __OS_BUILD_IMAGES=false
==> default: __OS_JOURNAL_SIZE=100M
==> default: __OS_CONFIG=xpaastemplates,metrics,logging,testusers
==> default: __OS_APPS_DOMAIN=apps.10.2.2.2.xip.io
==> default: __OS_DOCKER_STORAGE_SIZE=30G
==> default: [INFO] Forcing reinstallation of things
==> default: which: no dnf in (/usr/local/sbin:/sbin:/bin:/usr/sbin:/usr/bin:/root/bin)
==> default: Loaded plugins: fastestmirror
==> default: Determining fastest mirrors
==> default: * base: ftp.nara.wide.ad.jp
==> default: * extras: mirror.fairway.ne.jp
==> default: * updates: mirror.fairway.ne.jp
==> default: Resolving Dependencies
==> default: --> Running transaction check
==> default: ---> Package epel-release.noarch 0:7-6 will be installed
==> default: --> Finished Dependency Resolution
==> default:
==> default: Dependencies Resolved
==> default:
==> default: ================================================================================
==> default: Package Arch Version Repository Size
==> default: ================================================================================
==> default: Installing:
==> default: epel-release noarch 7-6 extras 14 k
==> default:
==> default: Transaction Summary
==> default: ================================================================================
==> default: Install 1 Package
==> default: Total download size: 14 k
==> default: Installed size: 24 k
==> default: Downloading packages:
==> default: Public key for epel-release-7-6.noarch.rpm is not installed
==> default: warning: /var/cache/yum/x86_64/7/extras/packages/epel-release-7-6.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID f4a80eb5: NOKEY
==> default: Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-7
==> default: Importing GPG key 0xF4A80EB5:
==> default: Userid : "CentOS-7 Key (CentOS 7 Official Signing Key) <security@centos.org>"
==> default: Fingerprint: 6341 ab27 53d7 8a78 a7c2 7bb1 24c6 a8a7 f4a8 0eb5
==> default: Package : centos-release-7-2.1511.el7.centos.2.10.x86_64 (@anaconda)
==> default: From : /etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-7
==> default: Running transaction check
==> default: Running transaction test
==> default: Transaction test succeeded
==> default: Running transaction
==> default: Installing : epel-release-7-6.noarch 1/1
==> default:
==> default: Verifying : epel-release-7-6.noarch 1/1
==> default:
==> default:
==> default: Installed:
==> default: epel-release.noarch 0:7-6
==> default: Complete!
==> default: Loaded plugins: fastestmirror
==> default: Loading mirror speeds from cached hostfile
==> default: * base: ftp.nara.wide.ad.jp
==> default: * epel: ftp.jaist.ac.jp
==> default: * extras: mirror.fairway.ne.jp
==> default: * updates: mirror.fairway.ne.jp
==> default: Package 1:bash-completion-2.1-6.el7.noarch already installed and latest version
==> default: Package 1:nfs-utils-1.3.0-0.21.el7_2.1.x86_64 already installed and latest version
==> default: Resolving Dependencies
==> default: --> Running transaction check
==> default: ---> Package bind-utils.x86_64 32:9.9.4-29.el7_2.4 will be installed
==> default: --> Processing Dependency: bind-libs = 32:9.9.4-29.el7_2.4 for package: 32:bind-utils-9.9.4-29.el7_2.4.x86_64
==> default: --> Processing Dependency: liblwres.so.90()(64bit) for package: 32:bind-utils-9.9.4-29.el7_2.4.x86_64
==> default: --> Processing Dependency: libisccfg.so.90()(64bit) for package: 32:bind-utils-9.9.4-29.el7_2.4.x86_64
==> default: --> Processing Dependency: libisccc.so.90()(64bit) for package: 32:bind-utils-9.9.4-29.el7_2.4.x86_64
==> default: --> Processing Dependency: libisc.so.95()(64bit) for package: 32:bind-utils-9.9.4-29.el7_2.4.x86_64
==> default: --> Processing Dependency: libdns.so.100()(64bit) for package: 32:bind-utils-9.9.4-29.el7_2.4.x86_64
==> default: --> Processing Dependency: libbind9.so.90()(64bit) for package: 32:bind-utils-9.9.4-29.el7_2.4.x86_64
==> default: ---> Package docker.x86_64 0:1.10.3-46.el7.centos.14 will be installed
==> default: --> Processing Dependency: docker-common = 1.10.3-46.el7.centos.14 for package: docker-1.10.3-46.el7.centos.14.x86_64
==> default: --> Processing Dependency: oci-systemd-hook >= 1:0.1.4-4 for package: docker-1.10.3-46.el7.centos.14.x86_64
==> default: --> Processing Dependency: oci-register-machine >= 1:0-1.8 for package: docker-1.10.3-46.el7.centos.14.x86_64
==> default: --> Processing Dependency: docker-selinux >= 1.10.3-46.el7.centos.14 for package: docker-1.10.3-46.el7.centos.14.x86_64
==> default: --> Processing Dependency: libseccomp.so.2()(64bit) for package: docker-1.10.3-46.el7.centos.14.x86_64
==> default: ---> Package git.x86_64 0:1.8.3.1-6.el7_2.1 will be installed
==> default: --> Processing Dependency: perl-Git = 1.8.3.1-6.el7_2.1 for package: git-1.8.3.1-6.el7_2.1.x86_64
==> default: --> Processing Dependency: perl >= 5.008 for package: git-1.8.3.1-6.el7_2.1.x86_64
==> default: --> Processing Dependency: perl(warnings) for package: git-1.8.3.1-6.el7_2.1.x86_64
==> default: --> Processing Dependency: perl(vars) for package: git-1.8.3.1-6.el7_2.1.x86_64
==> default: --> Processing Dependency: perl(strict) for package: git-1.8.3.1-6.el7_2.1.x86_64
==> default: --> Processing Dependency: perl(lib) for package: git-1.8.3.1-6.el7_2.1.x86_64
==> default: --> Processing Dependency: perl(Term::ReadKey) for package: git-1.8.3.1-6.el7_2.1.x86_64
==> default: --> Processing Dependency: perl(Git) for package: git-1.8.3.1-6.el7_2.1.x86_64
==> default: --> Processing Dependency: perl(Getopt::Long) for package: git-1.8.3.1-6.el7_2.1.x86_64
==> default: --> Processing Dependency: perl(File::stat) for package: git-1.8.3.1-6.el7_2.1.x86_64
==> default: --> Processing Dependency: perl(File::Temp) for package: git-1.8.3.1-6.el7_2.1.x86_64
==> default: --> Processing Dependency: perl(File::Spec) for package: git-1.8.3.1-6.el7_2.1.x86_64
==> default: --> Processing Dependency: perl(File::Path) for package: git-1.8.3.1-6.el7_2.1.x86_64
==> default: --> Processing Dependency: perl(File::Find) for package: git-1.8.3.1-6.el7_2.1.x86_64
==> default: --> Processing Dependency: perl(File::Copy) for package: git-1.8.3.1-6.el7_2.1.x86_64
==> default: --> Processing Dependency: perl(File::Basename) for package: git-1.8.3.1-6.el7_2.1.x86_64
==> default: --> Processing Dependency: perl(Exporter) for package: git-1.8.3.1-6.el7_2.1.x86_64
==> default: --> Processing Dependency: perl(Error) for package: git-1.8.3.1-6.el7_2.1.x86_64
==> default: --> Processing Dependency: /usr/bin/perl for package: git-1.8.3.1-6.el7_2.1.x86_64
==> default: --> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: git-1.8.3.1-6.el7_2.1.x86_64
==> default: ---> Package golang.x86_64 0:1.6.3-4.el7.centos will be installed
==> default: --> Processing Dependency: golang-bin = 1.6.3-4.el7.centos for package: golang-1.6.3-4.el7.centos.x86_64
==> default: --> Processing Dependency: golang-src = 1.6.3-4.el7.centos for package: golang-1.6.3-4.el7.centos.x86_64
==> default: ---> Package htop.x86_64 0:2.0.2-1.el7 will be installed
==> default: --> Running transaction check
==> default: ---> Package bind-libs.x86_64 32:9.9.4-29.el7_2.4 will be installed
==> default: ---> Package docker-common.x86_64 0:1.10.3-46.el7.centos.14 will be installed
==> default: ---> Package docker-selinux.x86_64 0:1.10.3-46.el7.centos.14 will be installed
==> default: --> Processing Dependency: policycoreutils-python for package: docker-selinux-1.10.3-46.el7.centos.14.x86_64
==> default: ---> Package golang-bin.x86_64 0:1.6.3-4.el7.centos will be installed
==> default: --> Processing Dependency: gcc for package: golang-bin-1.6.3-4.el7.centos.x86_64
==> default: ---> Package golang-src.noarch 0:1.6.3-4.el7.centos will be installed
==> default: ---> Package libgnome-keyring.x86_64 0:3.8.0-3.el7 will be installed
==> default: ---> Package libseccomp.x86_64 0:2.2.1-1.el7 will be installed
==> default: ---> Package oci-register-machine.x86_64 1:0-1.8.gitaf6c129.el7 will be installed
==> default: ---> Package oci-systemd-hook.x86_64 1:0.1.4-4.git41491a3.el7 will be installed
==> default: --> Processing Dependency: libyajl.so.2()(64bit) for package: 1:oci-systemd-hook-0.1.4-4.git41491a3.el7.x86_64
==> default: ---> Package perl.x86_64 4:5.16.3-286.el7 will be installed
==> default: --> Processing Dependency: perl-libs = 4:5.16.3-286.el7 for package: 4:perl-5.16.3-286.el7.x86_64
==> default: --> Processing Dependency: perl(Socket) >= 1.3 for package: 4:perl-5.16.3-286.el7.x86_64
==> default: --> Processing Dependency: perl(Scalar::Util) >= 1.10 for package: 4:perl-5.16.3-286.el7.x86_64
==> default: --> Processing Dependency: perl-macros for package: 4:perl-5.16.3-286.el7.x86_64
==> default: --> Processing Dependency: perl-libs for package: 4:perl-5.16.3-286.el7.x86_64
==> default: --> Processing Dependency: perl(threads::shared) for package: 4:perl-5.16.3-286.el7.x86_64
==> default: --> Processing Dependency: perl(threads) for package: 4:perl-5.16.3-286.el7.x86_64
==> default: --> Processing Dependency: perl(constant) for package: 4:perl-5.16.3-286.el7.x86_64
==> default: --> Processing Dependency: perl(Time::Local) for package: 4:perl-5.16.3-286.el7.x86_64
==> default: --> Processing Dependency: perl(Time::HiRes) for package: 4:perl-5.16.3-286.el7.x86_64
==> default: --> Processing Dependency: perl(Storable) for package: 4:perl-5.16.3-286.el7.x86_64
==> default: --> Processing Dependency: perl(Socket) for package: 4:perl-5.16.3-286.el7.x86_64
==> default: --> Processing Dependency: perl(Scalar::Util) for package: 4:perl-5.16.3-286.el7.x86_64
==> default: --> Processing Dependency: perl(Pod::Simple::XHTML) for package: 4:perl-5.16.3-286.el7.x86_64
==> default: --> Processing Dependency: perl(Pod::Simple::Search) for package: 4:perl-5.16.3-286.el7.x86_64
==> default: --> Processing Dependency: perl(Filter::Util::Call) for package: 4:perl-5.16.3-286.el7.x86_64
==> default: --> Processing Dependency: perl(Carp) for package: 4:perl-5.16.3-286.el7.x86_64
==> default: --> Processing Dependency: libperl.so()(64bit) for package: 4:perl-5.16.3-286.el7.x86_64
==> default: ---> Package perl-Error.noarch 1:0.17020-2.el7 will be installed
==> default: ---> Package perl-Exporter.noarch 0:5.68-3.el7 will be installed
==> default: ---> Package perl-File-Path.noarch 0:2.09-2.el7 will be installed
==> default: ---> Package perl-File-Temp.noarch 0:0.23.01-3.el7 will be installed
==> default: ---> Package perl-Getopt-Long.noarch 0:2.40-2.el7 will be installed
==> default: --> Processing Dependency: perl(Pod::Usage) >= 1.14 for package: perl-Getopt-Long-2.40-2.el7.noarch
==> default: --> Processing Dependency: perl(Text::ParseWords) for package: perl-Getopt-Long-2.40-2.el7.noarch
==> default: ---> Package perl-Git.noarch 0:1.8.3.1-6.el7_2.1 will be installed
==> default: ---> Package perl-PathTools.x86_64 0:3.40-5.el7 will be installed
==> default: ---> Package perl-TermReadKey.x86_64 0:2.30-20.el7 will be installed
==> default: --> Running transaction check
==> default: ---> Package gcc.x86_64 0:4.8.5-4.el7 will be installed
==> default: --> Processing Dependency: cpp = 4.8.5-4.el7 for package: gcc-4.8.5-4.el7.x86_64
==> default: --> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc-4.8.5-4.el7.x86_64
==> default: --> Processing Dependency: libmpfr.so.4()(64bit) for package: gcc-4.8.5-4.el7.x86_64
==> default: --> Processing Dependency: libmpc.so.3()(64bit) for package: gcc-4.8.5-4.el7.x86_64
==> default: ---> Package perl-Carp.noarch 0:1.26-244.el7 will be installed
==> default: ---> Package perl-Filter.x86_64 0:1.49-3.el7 will be installed
==> default: ---> Package perl-Pod-Simple.noarch 1:3.28-4.el7 will be installed
==> default: --> Processing Dependency: perl(Pod::Escapes) >= 1.04 for package: 1:perl-Pod-Simple-3.28-4.el7.noarch
==> default: --> Processing Dependency: perl(Encode) for package: 1:perl-Pod-Simple-3.28-4.el7.noarch
==> default: ---> Package perl-Pod-Usage.noarch 0:1.63-3.el7 will be installed
==> default: --> Processing Dependency: perl(Pod::Text) >= 3.15 for package: perl-Pod-Usage-1.63-3.el7.noarch
==> default: --> Processing Dependency: perl-Pod-Perldoc for package: perl-Pod-Usage-1.63-3.el7.noarch
==> default: ---> Package perl-Scalar-List-Utils.x86_64 0:1.27-248.el7 will be installed
==> default: ---> Package perl-Socket.x86_64 0:2.010-3.el7 will be installed
==> default: ---> Package perl-Storable.x86_64 0:2.45-3.el7 will be installed
==> default: ---> Package perl-Text-ParseWords.noarch 0:3.29-4.el7 will be installed
==> default: ---> Package perl-Time-HiRes.x86_64 4:1.9725-3.el7 will be installed
==> default: ---> Package perl-Time-Local.noarch 0:1.2300-2.el7 will be installed
==> default: ---> Package perl-constant.noarch 0:1.27-2.el7 will be installed
==> default: ---> Package perl-libs.x86_64 4:5.16.3-286.el7 will be installed
==> default: ---> Package perl-macros.x86_64 4:5.16.3-286.el7 will be installed
==> default: ---> Package perl-threads.x86_64 0:1.87-4.el7 will be installed
==> default: ---> Package perl-threads-shared.x86_64 0:1.43-6.el7 will be installed
==> default: ---> Package policycoreutils-python.x86_64 0:2.2.5-20.el7 will be installed
==> default: --> Processing Dependency: libsemanage-python >= 2.1.10-1 for package: policycoreutils-python-2.2.5-20.el7.x86_64
==> default: --> Processing Dependency: audit-libs-python >= 2.1.3-4 for package: policycoreutils-python-2.2.5-20.el7.x86_64
==> default: --> Processing Dependency: python-IPy for package: policycoreutils-python-2.2.5-20.el7.x86_64
==> default: --> Processing Dependency: libqpol.so.1(VERS_1.4)(64bit) for package: policycoreutils-python-2.2.5-20.el7.x86_64
==> default: --> Processing Dependency: libqpol.so.1(VERS_1.2)(64bit) for package: policycoreutils-python-2.2.5-20.el7.x86_64
==> default: --> Processing Dependency: libcgroup for package: policycoreutils-python-2.2.5-20.el7.x86_64
==> default: --> Processing Dependency: libapol.so.4(VERS_4.0)(64bit) for package: policycoreutils-python-2.2.5-20.el7.x86_64
==> default: --> Processing Dependency: checkpolicy for package: policycoreutils-python-2.2.5-20.el7.x86_64
==> default: --> Processing Dependency: libqpol.so.1()(64bit) for package: policycoreutils-python-2.2.5-20.el7.x86_64
==> default: --> Processing Dependency: libapol.so.4()(64bit) for package: policycoreutils-python-2.2.5-20.el7.x86_64
==> default: ---> Package yajl.x86_64 0:2.0.4-4.el7 will be installed
==> default: --> Running transaction check
==> default: ---> Package audit-libs-python.x86_64 0:2.4.1-5.el7 will be installed
==> default: ---> Package checkpolicy.x86_64 0:2.1.12-6.el7 will be installed
==> default: ---> Package cpp.x86_64 0:4.8.5-4.el7 will be installed
==> default: ---> Package glibc-devel.x86_64 0:2.17-106.el7_2.8 will be installed
==> default: --> Processing Dependency: glibc-headers = 2.17-106.el7_2.8 for package: glibc-devel-2.17-106.el7_2.8.x86_64
==> default: --> Processing Dependency: glibc-headers for package: glibc-devel-2.17-106.el7_2.8.x86_64
==> default: ---> Package libcgroup.x86_64 0:0.41-8.el7 will be installed
==> default: ---> Package libmpc.x86_64 0:1.0.1-3.el7 will be installed
==> default: ---> Package libsemanage-python.x86_64 0:2.1.10-18.el7 will be installed
==> default: ---> Package mpfr.x86_64 0:3.1.1-4.el7 will be installed
==> default: ---> Package perl-Encode.x86_64 0:2.51-7.el7 will be installed
==> default: ---> Package perl-Pod-Escapes.noarch 1:1.04-286.el7 will be installed
==> default: ---> Package perl-Pod-Perldoc.noarch 0:3.20-4.el7 will be installed
==> default: --> Processing Dependency: perl(parent) for package: perl-Pod-Perldoc-3.20-4.el7.noarch
==> default: --> Processing Dependency: perl(HTTP::Tiny) for package: perl-Pod-Perldoc-3.20-4.el7.noarch
==> default: ---> Package perl-podlators.noarch 0:2.5.1-3.el7 will be installed
==> default: ---> Package python-IPy.noarch 0:0.75-6.el7 will be installed
==> default: ---> Package setools-libs.x86_64 0:3.3.7-46.el7 will be installed
==> default: --> Running transaction check
==> default: ---> Package glibc-headers.x86_64 0:2.17-106.el7_2.8 will be installed
==> default: --> Processing Dependency: kernel-headers >= 2.2.1 for package: glibc-headers-2.17-106.el7_2.8.x86_64
==> default: --> Processing Dependency: kernel-headers for package: glibc-headers-2.17-106.el7_2.8.x86_64
==> default: ---> Package perl-HTTP-Tiny.noarch 0:0.033-3.el7 will be installed
==> default: ---> Package perl-parent.noarch 1:0.225-244.el7 will be installed
==> default: --> Running transaction check
==> default: ---> Package kernel-headers.x86_64 0:3.10.0-327.36.3.el7 will be installed
==> default: --> Finished Dependency Resolution
==> default:
==> default: Dependencies Resolved
==> default:
==> default: ================================================================================
==> default: Package Arch Version Repository Size
==> default: ================================================================================
==> default: Installing:
==> default: bind-utils x86_64 32:9.9.4-29.el7_2.4 updates 200 k
==> default: docker x86_64 1.10.3-46.el7.centos.14 extras 9.5 M
==> default: git x86_64 1.8.3.1-6.el7_2.1 updates 4.4 M
==> default: golang x86_64 1.6.3-4.el7.centos jcajka-golang1.6 1.1 M
==> default: htop x86_64 2.0.2-1.el7 epel 98 k
==> default: Installing for dependencies:
==> default: audit-libs-python x86_64 2.4.1-5.el7 base 69 k
==> default: bind-libs x86_64 32:9.9.4-29.el7_2.4 updates 1.0 M
==> default: checkpolicy x86_64 2.1.12-6.el7 base 247 k
==> default: cpp x86_64 4.8.5-4.el7 base 5.9 M
==> default: docker-common x86_64 1.10.3-46.el7.centos.14 extras 61 k
==> default: docker-selinux x86_64 1.10.3-46.el7.centos.14 extras 79 k
==> default: gcc x86_64 4.8.5-4.el7 base 16 M
==> default: glibc-devel x86_64 2.17-106.el7_2.8 updates 1.0 M
==> default: glibc-headers x86_64 2.17-106.el7_2.8 updates 663 k
==> default: golang-bin x86_64 1.6.3-4.el7.centos jcajka-golang1.6 43 M
==> default: golang-src noarch 1.6.3-4.el7.centos jcajka-golang1.6 3.9 M
==> default: kernel-headers x86_64 3.10.0-327.36.3.el7 updates 3.2 M
==> default: libcgroup x86_64 0.41-8.el7 base 64 k
==> default: libgnome-keyring x86_64 3.8.0-3.el7 base 109 k
==> default: libmpc x86_64 1.0.1-3.el7 base 51 k
==> default: libseccomp x86_64 2.2.1-1.el7 base 49 k
==> default: libsemanage-python x86_64 2.1.10-18.el7 base 94 k
==> default: mpfr x86_64 3.1.1-4.el7 base 203 k
==> default: oci-register-machine x86_64 1:0-1.8.gitaf6c129.el7 extras 1.1 M
==> default: oci-systemd-hook x86_64 1:0.1.4-4.git41491a3.el7 extras 27 k
==> default: perl x86_64 4:5.16.3-286.el7 base 8.0 M
==> default: perl-Carp noarch 1.26-244.el7 base 19 k
==> default: perl-Encode x86_64 2.51-7.el7 base 1.5 M
==> default: perl-Error noarch 1:0.17020-2.el7 base 32 k
==> default: perl-Exporter noarch 5.68-3.el7 base 28 k
==> default: perl-File-Path noarch 2.09-2.el7 base 26 k
==> default: perl-File-Temp noarch 0.23.01-3.el7 base 56 k
==> default: perl-Filter x86_64 1.49-3.el7 base 76 k
==> default: perl-Getopt-Long noarch 2.40-2.el7 base 56 k
==> default: perl-Git noarch 1.8.3.1-6.el7_2.1 updates 53 k
==> default: perl-HTTP-Tiny noarch 0.033-3.el7 base 38 k
==> default: perl-PathTools x86_64 3.40-5.el7 base 82 k
==> default: perl-Pod-Escapes noarch 1:1.04-286.el7 base 50 k
==> default: perl-Pod-Perldoc noarch 3.20-4.el7 base 87 k
==> default: perl-Pod-Simple noarch 1:3.28-4.el7 base 216 k
==> default: perl-Pod-Usage noarch 1.63-3.el7 base 27 k
==> default: perl-Scalar-List-Utils x86_64 1.27-248.el7 base 36 k
==> default: perl-Socket x86_64 2.010-3.el7 base 49 k
==> default: perl-Storable x86_64 2.45-3.el7 base 77 k
==> default: perl-TermReadKey x86_64 2.30-20.el7 base 31 k
==> default: perl-Text-ParseWords noarch 3.29-4.el7 base 14 k
==> default: perl-Time-HiRes x86_64 4:1.9725-3.el7 base 45 k
==> default: perl-Time-Local noarch 1.2300-2.el7 base 24 k
==> default: perl-constant noarch 1.27-2.el7 base 19 k
==> default: perl-libs x86_64 4:5.16.3-286.el7 base 687 k
==> default: perl-macros x86_64 4:5.16.3-286.el7 base 43 k
==> default: perl-parent noarch 1:0.225-244.el7 base 12 k
==> default: perl-podlators noarch 2.5.1-3.el7 base 112 k
==> default: perl-threads x86_64 1.87-4.el7 base 49 k
==> default: perl-threads-shared x86_64 1.43-6.el7 base 39 k
==> default: policycoreutils-python x86_64 2.2.5-20.el7 base 435 k
==> default: python-IPy noarch 0.75-6.el7 base 32 k
==> default: setools-libs x86_64 3.3.7-46.el7 base 485 k
==> default: yajl x86_64 2.0.4-4.el7 base 39 k
==> default:
==> default: Transaction Summary
==> default: ================================================================================
==> default: Install 5 Packages (+54 Dependent packages)
==> default: Total download size: 105 M
==> default: Installed size: 424 M
==> default: Downloading packages:
==> default: http://ftp.iij.ad.jp/pub/linux/centos/7.2.1511/extras/x86_64/Packages/docker-selinux-1.10.3-46.el7.centos.14.x86_64.rpm: [Errno 14] curl#56 - "Recv failure: Connection reset by peer"
==> default: Trying other mirror.
==> default: Public key for golang-1.6.3-4.el7.centos.x86_64.rpm is not installed
==> default: warning: /var/cache/yum/x86_64/7/jcajka-golang1.6/packages/golang-1.6.3-4.el7.centos.x86_64.rpm: Header V3 RSA/SHA1 Signature, key ID cc621cc7: NOKEY
==> default: Public key for htop-2.0.2-1.el7.x86_64.rpm is not installed
==> default: warning: /var/cache/yum/x86_64/7/epel/packages/htop-2.0.2-1.el7.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 352c64e5: NOKEY
==> default: --------------------------------------------------------------------------------
==> default: Total 775 kB/s | 105 MB 02:18
==> default: Retrieving key from https://copr-be.cloud.fedoraproject.org/results/jcajka/golang1.6/pubkey.gpg
==> default: Importing GPG key 0xCC621CC7:
==> default: Userid : "jcajka_golang1.6 (None) <jcajka#golang1.6@copr.fedorahosted.org>"
==> default: Fingerprint: 4f5f b1d7 073b 7e51 78d8 1ba7 1959 d34b cc62 1cc7
==> default: From : https://copr-be.cloud.fedoraproject.org/results/jcajka/golang1.6/pubkey.gpg
==> default: Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7
==> default: Importing GPG key 0x352C64E5:
==> default: Userid : "Fedora EPEL (7) <epel@fedoraproject.org>"
==> default: Fingerprint: 91e9 7d7c 4a5e 96f1 7f3e 888f 6a2f aea2 352c 64e5
==> default: Package : epel-release-7-6.noarch (@extras)
==> default: From : /etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7
==> default: Running transaction check
==> default: Running transaction test
==> default: Transaction test succeeded
==> default: Running transaction
==> default: Installing : mpfr-3.1.1-4.el7.x86_64 1/59
==> default:
==> default: Installing : libmpc-1.0.1-3.el7.x86_64 2/59
==> default:
==> default: Installing : cpp-4.8.5-4.el7.x86_64 3/59
==> default:
==> default: Installing : 1:perl-parent-0.225-244.el7.noarch 4/59
==> default:
==> default: Installing : perl-HTTP-Tiny-0.033-3.el7.noarch 5/59
==> default:
==> default: Installing : perl-podlators-2.5.1-3.el7.noarch 6/59
==> default:
==> default: Installing : perl-Pod-Perldoc-3.20-4.el7.noarch 7/59
==> default:
==> default: Installing : 1:perl-Pod-Escapes-1.04-286.el7.noarch 8/59
==> default:
==> default: Installing : perl-Text-ParseWords-3.29-4.el7.noarch 9/59
==> default:
==> default: Installing : perl-Encode-2.51-7.el7.x86_64 10/59
==> default:
==> default: Installing : perl-Pod-Usage-1.63-3.el7.noarch 11/59
==> default:
==> default: Installing : 4:perl-libs-5.16.3-286.el7.x86_64 12/59
==> default:
==> default: Installing : 4:perl-macros-5.16.3-286.el7.x86_64 13/59
==> default:
==> default: Installing : perl-threads-1.87-4.el7.x86_64 14/59
==> default:
==> default: Installing : 4:perl-Time-HiRes-1.9725-3.el7.x86_64 15/59
==> default:
==> default: Installing : perl-Exporter-5.68-3.el7.noarch 16/59
==> default:
==> default: Installing : perl-constant-1.27-2.el7.noarch 17/59
==> default:
==> default: Installing : perl-Time-Local-1.2300-2.el7.noarch 18/59
==> default:
==> default: Installing : perl-Carp-1.26-244.el7.noarch 19/59
==> default:
==> default: Installing : perl-Storable-2.45-3.el7.x86_64 20/59
==> default:
==> default: Installing : perl-threads-shared-1.43-6.el7.x86_64 21/59
==> default:
==> default: Installing : perl-PathTools-3.40-5.el7.x86_64 22/59
==> default:
==> default: Installing : perl-Scalar-List-Utils-1.27-248.el7.x86_64 23/59
==> default:
==> default: Installing : perl-File-Temp-0.23.01-3.el7.noarch 24/59
==> default:
==> default: Installing : perl-File-Path-2.09-2.el7.noarch 25/59
==> default:
==> default: Installing : perl-Socket-2.010-3.el7.x86_64 26/59
==> default:
==> default: Installing : perl-Filter-1.49-3.el7.x86_64 27/59
==> default:
==> default: Installing : 1:perl-Pod-Simple-3.28-4.el7.noarch 28/59
==> default:
==> default: Installing : perl-Getopt-Long-2.40-2.el7.noarch 29/59
==> default:
==> default: Installing : 4:perl-5.16.3-286.el7.x86_64 30/59
==> default:
==> default: Installing : 1:perl-Error-0.17020-2.el7.noarch 31/59
==> default:
==> default: Installing : perl-TermReadKey-2.30-20.el7.x86_64 32/59
==> default:
==> default: Installing : docker-common-1.10.3-46.el7.centos.14.x86_64 33/59
==> default:
==> default: Installing : golang-src-1.6.3-4.el7.centos.noarch 34/59
==> default:
==> default: Installing : audit-libs-python-2.4.1-5.el7.x86_64 35/59
==> default:
==> default: Installing : kernel-headers-3.10.0-327.36.3.el7.x86_64 36/59
==> default:
==> default: Installing : glibc-headers-2.17-106.el7_2.8.x86_64 37/59
==> default:
==> default: Installing : glibc-devel-2.17-106.el7_2.8.x86_64 38/59
==> default:
==> default: Installing : gcc-4.8.5-4.el7.x86_64 39/59
==> default:
==> default: Installing : golang-bin-1.6.3-4.el7.centos.x86_64 40/59
==> default:
==> default: Installing : golang-1.6.3-4.el7.centos.x86_64 41/59
==> default:
==> default: Installing : libgnome-keyring-3.8.0-3.el7.x86_64 42/59
==> default:
==> default: Installing : perl-Git-1.8.3.1-6.el7_2.1.noarch 43/59
==> default:
==> default: Installing : git-1.8.3.1-6.el7_2.1.x86_64 44/59
==> default:
==> default: Installing : yajl-2.0.4-4.el7.x86_64 45/59
==> default:
==> default: Installing : 1:oci-systemd-hook-0.1.4-4.git41491a3.el7.x86_64 46/59
==> default:
==> default: Installing : 1:oci-register-machine-0-1.8.gitaf6c129.el7.x86_64 47/59
==> default:
==> default: Installing : libseccomp-2.2.1-1.el7.x86_64 48/59
==> default:
==> default: Installing : 32:bind-libs-9.9.4-29.el7_2.4.x86_64 49/59
==> default:
==> default: Installing : python-IPy-0.75-6.el7.noarch 50/59
==> default:
==> default: Installing : libcgroup-0.41-8.el7.x86_64 51/59
==> default:
==> default: Installing : checkpolicy-2.1.12-6.el7.x86_64 52/59
==> default:
==> default: Installing : setools-libs-3.3.7-46.el7.x86_64 53/59
==> default:
==> default: Installing : libsemanage-python-2.1.10-18.el7.x86_64 54/59
==> default:
==> default: Installing : policycoreutils-python-2.2.5-20.el7.x86_64 55/59
==> default:
==> default: Installing : docker-selinux-1.10.3-46.el7.centos.14.x86_64 56/59
==> default:
==> default: Installing : docker-1.10.3-46.el7.centos.14.x86_64 57/59
==> default:
==> default: Installing : 32:bind-utils-9.9.4-29.el7_2.4.x86_64 58/59
==> default:
==> default: Installing : htop-2.0.2-1.el7.x86_64 59/59
==> default:
==> default: Verifying : perl-HTTP-Tiny-0.033-3.el7.noarch 1/59
==> default:
==> default: Verifying : golang-1.6.3-4.el7.centos.x86_64 2/59
==> default:
==> default: Verifying : docker-1.10.3-46.el7.centos.14.x86_64 3/59
==> default:
==> default: Verifying : perl-threads-shared-1.43-6.el7.x86_64 4/59
==> default:
==> default: Verifying : 4:perl-Time-HiRes-1.9725-3.el7.x86_64 5/59
==> default:
==> default: Verifying : perl-threads-1.87-4.el7.x86_64 6/59
==> default:
==> default: Verifying : perl-Exporter-5.68-3.el7.noarch 7/59
==> default:
==> default: Verifying : perl-constant-1.27-2.el7.noarch 8/59
==> default:
==> default: Verifying : perl-PathTools-3.40-5.el7.x86_64 9/59
==> default:
==> default: Verifying : libsemanage-python-2.1.10-18.el7.x86_64 10/59
==> default:
==> default: Verifying : 4:perl-libs-5.16.3-286.el7.x86_64 11/59
==> default:
==> default: Verifying : 4:perl-macros-5.16.3-286.el7.x86_64 12/59
==> default:
==> default: Verifying : 1:perl-Pod-Escapes-1.04-286.el7.noarch 13/59
==> default:
==> default: Verifying : setools-libs-3.3.7-46.el7.x86_64 14/59
==> default:
==> default: Verifying : 1:perl-parent-0.225-244.el7.noarch 15/59
==> default:
==> default: Verifying : gcc-4.8.5-4.el7.x86_64 16/59
==> default:
==> default: Verifying : perl-TermReadKey-2.30-20.el7.x86_64 17/59
==> default:
==> default: Verifying : checkpolicy-2.1.12-6.el7.x86_64 18/59
==> default:
==> default: Verifying : 4:perl-5.16.3-286.el7.x86_64 19/59
==> default:
==> default: Verifying : libcgroup-0.41-8.el7.x86_64 20/59
==> default:
==> default: Verifying : glibc-devel-2.17-106.el7_2.8.x86_64 21/59
==> default:
==> default: Verifying : perl-File-Temp-0.23.01-3.el7.noarch 22/59
==> default:
==> default: Verifying : 1:perl-Pod-Simple-3.28-4.el7.noarch 23/59
==> default:
==> default: Verifying : glibc-headers-2.17-106.el7_2.8.x86_64 24/59
==> default:
==> default: Verifying : perl-Time-Local-1.2300-2.el7.noarch 25/59
==> default:
==> default: Verifying : perl-Pod-Perldoc-3.20-4.el7.noarch 26/59
==> default:
==> default: Verifying : python-IPy-0.75-6.el7.noarch 27/59
==> default:
==> default: Verifying : perl-Git-1.8.3.1-6.el7_2.1.noarch 28/59
==> default:
==> default: Verifying : golang-bin-1.6.3-4.el7.centos.x86_64 29/59
==> default:
==> default: Verifying : perl-Carp-1.26-244.el7.noarch 30/59
==> default:
==> default: Verifying : mpfr-3.1.1-4.el7.x86_64 31/59
==> default:
==> default: Verifying : 1:perl-Error-0.17020-2.el7.noarch 32/59
==> default:
==> default: Verifying : 32:bind-libs-9.9.4-29.el7_2.4.x86_64 33/59
==> default:
==> default: Verifying : 1:oci-systemd-hook-0.1.4-4.git41491a3.el7.x86_64 34/59
==> default:
==> default: Verifying : perl-Storable-2.45-3.el7.x86_64 35/59
==> default:
==> default: Verifying : libseccomp-2.2.1-1.el7.x86_64 36/59
==> default:
==> default: Verifying : perl-Scalar-List-Utils-1.27-248.el7.x86_64 37/59
==> default:
==> default: Verifying : 1:oci-register-machine-0-1.8.gitaf6c129.el7.x86_64 38/59
==> default:
==> default: Verifying : docker-selinux-1.10.3-46.el7.centos.14.x86_64 39/59
==> default:
==> default: Verifying : yajl-2.0.4-4.el7.x86_64 40/59
==> default:
==> default: Verifying : libgnome-keyring-3.8.0-3.el7.x86_64 41/59
==> default:
==> default: Verifying : kernel-headers-3.10.0-327.36.3.el7.x86_64 42/59
==> default:
==> default: Verifying : perl-Pod-Usage-1.63-3.el7.noarch 43/59
==> default:
==> default: Verifying : audit-libs-python-2.4.1-5.el7.x86_64 44/59
==> default:
==> default: Verifying : perl-Encode-2.51-7.el7.x86_64 45/59
==> default:
==> default: Verifying : perl-podlators-2.5.1-3.el7.noarch 46/59
==> default:
==> default: Verifying : perl-Getopt-Long-2.40-2.el7.noarch 47/59
==> default:
==> default: Verifying : 32:bind-utils-9.9.4-29.el7_2.4.x86_64 48/59
==> default:
==> default: Verifying : cpp-4.8.5-4.el7.x86_64 49/59
==> default:
==> default: Verifying : perl-File-Path-2.09-2.el7.noarch 50/59
==> default:
==> default: Verifying : golang-src-1.6.3-4.el7.centos.noarch 51/59
==> default:
==> default: Verifying : perl-Socket-2.010-3.el7.x86_64 52/59
==> default:
==> default: Verifying : perl-Filter-1.49-3.el7.x86_64 53/59
==> default:
==> default: Verifying : perl-Text-ParseWords-3.29-4.el7.noarch 54/59
==> default:
==> default: Verifying : docker-common-1.10.3-46.el7.centos.14.x86_64 55/59
==> default:
==> default: Verifying : git-1.8.3.1-6.el7_2.1.x86_64 56/59
==> default:
==> default: Verifying : htop-2.0.2-1.el7.x86_64 57/59
==> default:
==> default: Verifying : policycoreutils-python-2.2.5-20.el7.x86_64 58/59
==> default:
==> default: Verifying : libmpc-1.0.1-3.el7.x86_64 59/59
==> default:
==> default:
==> default: Installed:
==> default: bind-utils.x86_64 32:9.9.4-29.el7_2.4 docker.x86_64 0:1.10.3-46.el7.centos.14
==> default: git.x86_64 0:1.8.3.1-6.el7_2.1 golang.x86_64 0:1.6.3-4.el7.centos
==> default: htop.x86_64 0:2.0.2-1.el7
==> default:
==> default: Dependency Installed:
==> default: audit-libs-python.x86_64 0:2.4.1-5.el7
==> default: bind-libs.x86_64 32:9.9.4-29.el7_2.4
==> default: checkpolicy.x86_64 0:2.1.12-6.el7
==> default: cpp.x86_64 0:4.8.5-4.el7
==> default: docker-common.x86_64 0:1.10.3-46.el7.centos.14
==> default: docker-selinux.x86_64 0:1.10.3-46.el7.centos.14
==> default: gcc.x86_64 0:4.8.5-4.el7
==> default: glibc-devel.x86_64 0:2.17-106.el7_2.8
==> default: glibc-headers.x86_64 0:2.17-106.el7_2.8
==> default: golang-bin.x86_64 0:1.6.3-4.el7.centos
==> default: golang-src.noarch 0:1.6.3-4.el7.centos
==> default: kernel-headers.x86_64 0:3.10.0-327.36.3.el7
==> default: libcgroup.x86_64 0:0.41-8.el7
==> default: libgnome-keyring.x86_64 0:3.8.0-3.el7
==> default: libmpc.x86_64 0:1.0.1-3.el7
==> default: libseccomp.x86_64 0:2.2.1-1.el7
==> default: libsemanage-python.x86_64 0:2.1.10-18.el7
==> default: mpfr.x86_64 0:3.1.1-4.el7
==> default: oci-register-machine.x86_64 1:0-1.8.gitaf6c129.el7
==> default: oci-systemd-hook.x86_64 1:0.1.4-4.git41491a3.el7
==> default: perl.x86_64 4:5.16.3-286.el7
==> default: perl-Carp.noarch 0:1.26-244.el7
==> default: perl-Encode.x86_64 0:2.51-7.el7
==> default: perl-Error.noarch 1:0.17020-2.el7
==> default: perl-Exporter.noarch 0:5.68-3.el7
==> default: perl-File-Path.noarch 0:2.09-2.el7
==> default: perl-File-Temp.noarch 0:0.23.01-3.el7
==> default: perl-Filter.x86_64 0:1.49-3.el7
==> default: perl-Getopt-Long.noarch 0:2.40-2.el7
==> default: perl-Git.noarch 0:1.8.3.1-6.el7_2.1
==> default: perl-HTTP-Tiny.noarch 0:0.033-3.el7
==> default: perl-PathTools.x86_64 0:3.40-5.el7
==> default: perl-Pod-Escapes.noarch 1:1.04-286.el7
==> default: perl-Pod-Perldoc.noarch 0:3.20-4.el7
==> default: perl-Pod-Simple.noarch 1:3.28-4.el7
==> default: perl-Pod-Usage.noarch 0:1.63-3.el7
==> default: perl-Scalar-List-Utils.x86_64 0:1.27-248.el7
==> default: perl-Socket.x86_64 0:2.010-3.el7
==> default: perl-Storable.x86_64 0:2.45-3.el7
==> default: perl-TermReadKey.x86_64 0:2.30-20.el7
==> default: perl-Text-ParseWords.noarch 0:3.29-4.el7
==> default: perl-Time-HiRes.x86_64 4:1.9725-3.el7
==> default: perl-Time-Local.noarch 0:1.2300-2.el7
==> default: perl-constant.noarch 0:1.27-2.el7
==> default: perl-libs.x86_64 4:5.16.3-286.el7
==> default: perl-macros.x86_64 4:5.16.3-286.el7
==> default: perl-parent.noarch 1:0.225-244.el7
==> default: perl-podlators.noarch 0:2.5.1-3.el7
==> default:
==> default: perl-threads.x86_64 0:1.87-4.el7
==> default: perl-threads-shared.x86_64 0:1.43-6.el7
==> default: policycoreutils-python.x86_64 0:2.2.5-20.el7
==> default: python-IPy.noarch 0:0.75-6.el7
==> default: setools-libs.x86_64 0:3.3.7-46.el7
==> default: yajl.x86_64 0:2.0.4-4.el7
==> default:
==> default: Complete!
==> default: Loaded plugins: fastestmirror
==> default: Cleaning repos: base epel extras jcajka-golang1.6 updates
==> default: Cleaning up everything
==> default: Cleaning up list of fastest mirrors
==> default: [WARN] Set SELinux to permissive for now
==> default: [INFO] Configuring Docker for Red Hat registry and else ...
==> default: Created symlink from /etc/systemd/system/multi-user.target.wants/docker.service to /usr/lib/systemd/system/docker.service.
==> default: [INFO] No origin source, so let's checkout and build it
==> default: /go/src/github.com/openshift /home/vagrant
==> default: [INFO] Cloning https://github.com/openshift/origin.git to specified branch master
==> default: Cloning into 'origin'...
==> default: /home/vagrant
==> default: ++ Building go targets for linux/amd64: cmd/openshift cmd/oc pkg/sdn/plugin/sdn-cni-plugin vendor/github.com/containernetworking/cni/plugins/ipam/host-local vendor/github.com/containernetworking/cni/plugins/main/loopback
==> default: ++ Placing binaries
==> default: hack/build-go.sh took 444 seconds
==> default: /go/src/github.com/openshift/origin/_output/local/bin/linux/amd64 /go/src/github.com/openshift/origin
==> default: /go/src/github.com/openshift/origin
==> default: /go/src/github.com/openshift/origin/contrib/completions/bash /go/src/github.com/openshift/origin
==> default: /go/src/github.com/openshift/origin
==> default: [INFO] Using images version latest
==> default: Wrote master config to: /var/lib/origin/openshift.local.config/master/master-config.yaml
==> default: Created symlink from /etc/systemd/system/multi-user.target.wants/origin.service to /etc/systemd/system/origin.service.
==> default: [INFO] Creating the OpenShift Registry
==> default: --> Creating registry registry ...
==> default: serviceaccount "registry" created
==> default: clusterrolebinding "registry-registry-role" created
==> default: deploymentconfig "docker-registry" created
==> default: service "docker-registry" created
==> default: --> Success
==> default: route "docker-registry" exposed
==> default: [INFO] Registry is accesible in hub.10.2.2.2
==> default: [INFO] Creating the OpenShift Router
==> default: --> Creating router router ...
==> default: info: password for stats user admin has been set to wm6qJtxMVm
==> default: serviceaccount "router" created
==> default:
==> default: clusterrolebinding "router-router-role" created
==> default: deploymentconfig "router" created
==> default: service "router" created
==> default: --> Success
==> default: /scripts/base/origin-setup: line 296: --service-account=router: command not found
==> default: [INFO] Creating and configuring users
==> default: [INFO] Creating and configuring users
==> default: [INFO] Creating cockpit as administrative project
==> default: Created project cockpit
==> default: deploymentconfig "openshift-cockpit" created
==> default: service "openshift-cockpit" created
==> default: route "openshift-cockpit" created
==> default: oauthclient "cockpit-oauth-client" created
==> default: [INFO] Cockpit is available at http://cockpit.apps.10.2.2.2.xip.io
==> default: [INFO] Installing Origin templates
==> default: [INFO] Importing template https://raw.githubusercontent.com/openshift/origin/master/examples/image-streams/image-streams-centos7.json
==> default: [INFO] Importing template https://raw.githubusercontent.com/openshift/origin/master/examples/db-templates/mongodb-ephemeral-template.json
==> default: [INFO] Importing template https://raw.githubusercontent.com/openshift/origin/master/examples/db-templates/mongodb-persistent-template.json
==> default: [INFO] Importing template https://raw.githubusercontent.com/openshift/origin/master/examples/db-templates/mysql-ephemeral-template.json
==> default: [INFO] Importing template https://raw.githubusercontent.com/openshift/origin/master/examples/db-templates/mysql-persistent-template.json
==> default: [INFO] Importing template https://raw.githubusercontent.com/openshift/origin/master/examples/db-templates/postgresql-ephemeral-template.json
==> default: [INFO] Importing template https://raw.githubusercontent.com/openshift/origin/master/examples/db-templates/postgresql-persistent-template.json
==> default: [INFO] Importing template https://raw.githubusercontent.com/openshift/origin/master/examples/jenkins/jenkins-ephemeral-template.json
==> default: [INFO] Importing template https://raw.githubusercontent.com/openshift/origin/master/examples/jenkins/jenkins-persistent-template.json
==> default: [INFO] Importing template https://raw.githubusercontent.com/openshift/nodejs-ex/master/openshift/templates/nodejs-mongodb.json
==> default: [INFO] Importing template https://raw.githubusercontent.com/openshift/nodejs-ex/master/openshift/templates/nodejs.json
==> default: [INFO] Importing template https://raw.githubusercontent.com/ryanj/origin-s2i-nodejs/master/image-streams.json
==> default: [INFO] Importing template https://raw.githubusercontent.com/GrahamDumpleton/warpdrive/master/openshift/warpdrive-python.json
==> default: [INFO] Importing template https://gitlab.com/gitlab-org/omnibus-gitlab/raw/master/docker/openshift-template.json
==> default: [INFO] Creating and configuring NFS
==> default: Created symlink from /etc/systemd/system/multi-user.target.wants/nfs-server.service to /usr/lib/systemd/system/nfs-server.service.
==> default: [INFO] Creating 10 NFS PV
==> default: [INFO] Creating NFS PV pv01 using from 10Gi in ReadWriteMany or ReadWriteOnly mode and Recycle Policy.
==> default: persistentvolume "pv01" created
==> default: [INFO] PV Created
==> default: NAME CAPACITY ACCESSMODES RECLAIMPOLICY STATUS CLAIM REASON AGE
==> default: pv01 10Gi RWO,RWX Recycle Available 0s
==> default: [INFO] Creating NFS PV pv02 using from 10Gi in ReadWriteMany or ReadWriteOnly mode and Recycle Policy.
==> default: persistentvolume "pv02" created
==> default: [INFO] PV Created
==> default: NAME CAPACITY ACCESSMODES RECLAIMPOLICY STATUS CLAIM REASON AGE
==> default: pv02 10Gi RWO,RWX Recycle Available 0s
==> default: [INFO] Creating NFS PV pv03 using from 10Gi in ReadWriteMany or ReadWriteOnly mode and Recycle Policy.
==> default: persistentvolume "pv03" created
==> default: [INFO] PV Created
==> default: NAME CAPACITY ACCESSMODES RECLAIMPOLICY STATUS CLAIM REASON AGE
==> default: pv03 10Gi RWO,RWX Recycle Available 0s
==> default: [INFO] Creating NFS PV pv04 using from 10Gi in ReadWriteMany or ReadWriteOnly mode and Recycle Policy.
==> default: persistentvolume "pv04" created
==> default: [INFO] PV Created
==> default: NAME CAPACITY ACCESSMODES RECLAIMPOLICY STATUS CLAIM REASON AGE
==> default: pv04 10Gi RWO,RWX Recycle Available 1s
==> default: [INFO] Creating NFS PV pv05 using from 10Gi in ReadWriteMany or ReadWriteOnly mode and Recycle Policy.
==> default: persistentvolume "pv05" created
==> default: [INFO] PV Created
==> default: NAME CAPACITY ACCESSMODES RECLAIMPOLICY STATUS CLAIM REASON AGE
==> default: pv05 10Gi RWO,RWX Recycle Available 0s
==> default: [INFO] Creating NFS PV pv06 using from 10Gi in ReadWriteMany or ReadWriteOnly mode and Recycle Policy.
==> default: persistentvolume "pv06" created
==> default: [INFO] PV Created
==> default: NAME CAPACITY ACCESSMODES RECLAIMPOLICY STATUS CLAIM REASON AGE
==> default: pv06 10Gi RWO,RWX Recycle Available 0s
==> default: [INFO] Creating NFS PV pv07 using from 10Gi in ReadWriteMany or ReadWriteOnly mode and Recycle Policy.
==> default: persistentvolume "pv07" created
==> default: [INFO] PV Created
==> default: NAME CAPACITY ACCESSMODES RECLAIMPOLICY STATUS CLAIM REASON AGE
==> default: pv07 10Gi RWO,RWX Recycle Available 0s
==> default: [INFO] Creating NFS PV pv08 using from 10Gi in ReadWriteMany or ReadWriteOnly mode and Recycle Policy.
==> default: persistentvolume "pv08" created
==> default: [INFO] PV Created
==> default: NAME CAPACITY ACCESSMODES RECLAIMPOLICY STATUS CLAIM REASON AGE
==> default: pv08 10Gi RWO,RWX Recycle Available 0s
==> default: [INFO] Creating NFS PV pv09 using from 10Gi in ReadWriteMany or ReadWriteOnly mode and Recycle Policy.
==> default: persistentvolume "pv09" created
==> default: [INFO] PV Created
==> default: NAME CAPACITY ACCESSMODES RECLAIMPOLICY STATUS CLAIM REASON AGE
==> default: pv09 10Gi RWO,RWX Recycle Available 0s
==> default: [INFO] Creating NFS PV pv10 using from 10Gi in ReadWriteMany or ReadWriteOnly mode and Recycle Policy.
==> default: persistentvolume "pv10" created
==> default: [INFO] PV Created
==> default: NAME CAPACITY ACCESSMODES RECLAIMPOLICY STATUS CLAIM REASON AGE
==> default: pv10 10Gi RWO,RWX Recycle Available 0s
==> default: [INFO] Creating and configuring metrics
==> default: serviceaccount "metrics-deployer" created
==> default: secret/metrics-deployer
==> default: pod "metrics-deployer-6ob5c" created
==> default: clusterrole "allinone:metrics-scaler" created
==> default: [INFO] Installing disable-metrics script
==> default: [INFO] Installing enable-metrics script
==> default:
==> default: [INFO] Please visit https:\/\/hawkular-metrics.apps.10.2.2.2.xip.io and accept the ssl certificate for the metrics to work
==> default: [INFO] Creating and configuring logging
==> default: template "logging-deployer-account-template" created
==> default: template "logging-deployer-template" created
==> default: Now using project "openshift-infra" on server "https://10.2.2.2:8443".
==> default: secret/logging-deployer
==> default: --> Deploying template "openshift/logging-deployer-account-template" to project openshift-infra
==> default:
==> default: logging-deployer-account-template
==> default: ---------
==> default: Template for creating the deployer account and roles needed for the aggregated logging deployer. Create as cluster-admin.
==> default:
==> default: --> Creating resources ...
==> default: serviceaccount "logging-deployer" created
==> default: serviceaccount "aggregated-logging-kibana" created
==> default: serviceaccount "aggregated-logging-elasticsearch" created
==> default: serviceaccount "aggregated-logging-fluentd" created
==> default: serviceaccount "aggregated-logging-curator" created
==> default: clusterrole "oauth-editor" created
==> default: clusterrole "daemonset-admin" created
==> default: clusterrole "rolebinding-reader" created
==> default: rolebinding "logging-deployer-edit-role" created
==> default: rolebinding "logging-deployer-dsadmin-role" created
==> default: rolebinding "logging-elasticsearch-view-role" created
==> default: --> Success
==> default: Run 'oc status' to view your app.
==> default: --> Deploying template "openshift/logging-deployer-template" to project openshift-infra
==> default:
==> default: logging-deployer-template
==> default: ---------
==> default: Template for running the aggregated logging deployer in a pod. Requires empowered 'logging-deployer' service account.
==> default:
==> default: * With parameters:
==> default: * MODE=install
==> default: * IMAGE_PREFIX=docker.io/openshift/origin-
==> default: * IMAGE_VERSION=latest
==> default: * IMAGE_PULL_SECRET=
==> default: * INSECURE_REGISTRY=false
==> default: * ENABLE_OPS_CLUSTER=false
==> default: * KIBANA_HOSTNAME=kibana.apps.10.2.2.2.xip.io
==> default: * KIBANA_OPS_HOSTNAME=kibana-ops.apps.10.2.2.2.xip.io
==> default: * PUBLIC_MASTER_URL=https://10.2.2.2:8443
==> default: * MASTER_URL=https://kubernetes.default.svc.cluster.local
==> default: * ES_CLUSTER_SIZE=1
==> default: * ES_INSTANCE_RAM=8G
==> default: * ES_PVC_SIZE=
==> default: * ES_PVC_PREFIX=logging-es-
==> default: * ES_PVC_DYNAMIC=
==> default: * ES_NODE_QUORUM=
==> default: * ES_RECOVER_AFTER_NODES=
==> default: * ES_RECOVER_EXPECTED_NODES=
==> default: * ES_RECOVER_AFTER_TIME=5m
==> default: * ES_OPS_CLUSTER_SIZE=
==> default: * ES_OPS_INSTANCE_RAM=8G
==> default: * ES_OPS_PVC_SIZE=
==> default: * ES_OPS_PVC_PREFIX=logging-es-ops-
==> default: * ES_OPS_PVC_DYNAMIC=
==> default: * ES_OPS_NODE_QUORUM=
==> default: * ES_OPS_RECOVER_AFTER_NODES=
==> default: * ES_OPS_RECOVER_EXPECTED_NODES=
==> default: * ES_OPS_RECOVER_AFTER_TIME=5m
==> default: * FLUENTD_NODESELECTOR=logging-infra-fluentd=true
==> default: * ES_NODESELECTOR=
==> default: * ES_OPS_NODESELECTOR=
==> default: * KIBANA_NODESELECTOR=
==> default: * KIBANA_OPS_NODESELECTOR=
==> default: * CURATOR_NODESELECTOR=
==> default: * CURATOR_OPS_NODESELECTOR=
==> default:
==> default: --> Creating resources ...
==> default: pod "logging-deployer-tvx6c" created
==> default: --> Success
==> default: Run 'oc status' to view your app.
==> default: node "origin" labeled
==> default: Configuring resources
==> default: Logging ready
==> default: clusterrole "allinone:logging-scaler" created
==> default: [INFO] Installing disable-logging script
==> default: [INFO] Installing enable-logging script
==> default: [INFO] Creating and configuring test users
==> default: Changing password for user dev.
==> default: passwd: all authentication tokens updated successfully.
==> default: [INFO] User dev created
==> default: Changing password for user test.
==> default: passwd: all authentication tokens updated successfully.
==> default: [INFO] User test created
==> default: Changing password for user prod.
==> default: passwd: all authentication tokens updated successfully.
==> default: [INFO] User prod created
==> default: Running provisioner: shell...
default: Running: inline script
==> default: You can now access OpenShift console on: https://10.2.2.2:8443/console
==> default:
==> default: To use OpenShift CLI, run:
==> default: $ vagrant ssh
==> default: $ sudo -i
==> default: $ oc status
==> default: $ oc whoami
==> default:
==> default: If you have the oc client library on your host, you can also login from your host.
==> default: $ oc login https://10.2.2.2:8443
$ vagrant ssh

[vagrant@origin ~]$ oc version

oc v1.4.0-alpha.1+3b2bbe5-280
kubernetes v1.4.0+776c994
features: Basic-Auth

と、installまではできたのですが、ブラウザからproject、appの作成を行うと、app作成で失敗する事象を確認しています。